From b0077de9fa9ba8d1ad18b282ba7d3ec6ece6532f Mon Sep 17 00:00:00 2001
From: Nguyen Dat Tho <tho1.nguyendat@toshiba.co.jp>
Date: Tue, 27 Jul 2021 08:39:42 +0700
Subject: [PATCH] LTP: execute all tests when spec specifies "all"

Signed-off-by: Nguyen Dat Tho <tho1.nguyendat@toshiba.co.jp>
Signed-off-by: Daniel Sangorrin <daniel.sangorrin@toshiba.co.jp>
Signed-off-by: venkata pyla <venkata.pyla@toshiba-tsip.com>
---
 tests/Functional.LTP/fuego_test.sh | 42 +++++++++++++++++-------------
 tests/Functional.LTP/spec.json     |  6 +++++
 2 files changed, 30 insertions(+), 18 deletions(-)

diff --git a/tests/Functional.LTP/fuego_test.sh b/tests/Functional.LTP/fuego_test.sh
index 85adabf..689abfe 100755
--- a/tests/Functional.LTP/fuego_test.sh
+++ b/tests/Functional.LTP/fuego_test.sh
@@ -414,25 +414,31 @@ function test_run {
         # on the type of the test (regular, posize, or realtime)
         # Separate the test list by type, and pass the tests in different
         # variables
-        for a in $FUNCTIONAL_LTP_TESTS; do
-            for b in $ALLTESTS; do
-                if [ "$a" == "$b" ]; then
-                    TESTS+="$a "
-                fi
-            done
-
-            for b in $ALLPTSTESTS; do
-                if [ "$a" == "$b" ]; then
-                    PTSTESTS+="$a "
-                fi
-            done
-
-            for b in $ALLRTTESTS; do
-                if [ "$a" == "$b" ]; then
-                    RTTESTS+="$a "
-                fi
+        if [ "$FUNCTIONAL_LTP_TESTS" == "all" ]; then
+            TESTS=$ALLTESTS
+            PTSTESTS=$ALLPTSTESTS
+            RTTESTS=$ALLRTTESTS
+        else
+            for a in $FUNCTIONAL_LTP_TESTS; do
+                for b in $ALLTESTS; do
+                    if [ "$a" == "$b" ]; then
+                        TESTS+="$a "
+                    fi
+                done
+
+                for b in $ALLPTSTESTS; do
+                    if [ "$a" == "$b" ]; then
+                        PTSTESTS+="$a "
+                    fi
+                done
+
+                for b in $ALLRTTESTS; do
+                    if [ "$a" == "$b" ]; then
+                        RTTESTS+="$a "
+                    fi
+                done
             done
-        done
+        fi
 
         # Let some of the tests fail, the information will be in the result xlsx file
         report "cd $LTP_DESTDIR; export TESTS=\"$TESTS\"; export PTSTESTS=\"$PTSTESTS\"; export RTTESTS=\"$RTTESTS\"; ./ltp_target_run.sh"
diff --git a/tests/Functional.LTP/spec.json b/tests/Functional.LTP/spec.json
index d30ba4c..53ee115 100644
--- a/tests/Functional.LTP/spec.json
+++ b/tests/Functional.LTP/spec.json
@@ -1,6 +1,12 @@
 {
     "testName": "Functional.LTP",
     "specs": {
+        "all": {
+            "tests": "all",
+            "noautoskip": "true",
+            "extra_success_links": {"xlsx": "results.xlsx", "skiplist": "skiplist.txt"},
+            "extra_fail_links": {"xlsx": "results.xlsx", "skiplist": "skiplist.txt"}
+        },
         "default": {
             "tests": "syscalls SEM",
             "extra_success_links": {"xlsx": "results.xlsx", "skiplist": "skiplist.txt"},
-- 
2.20.1

